<?php

define('EG_SERIES_OPTIONS_ENTRY', 'EG-Series-Options'               );
define('EG_SERIES_TEXTDOMAIN',    'eg-series'                       );
define('EG_SERIES_AUTHOR_NAME',	  'Emmanuel GEORJON'                );
define('EG_SERIES_AUTHOR_URL',    'http://www.emmanuelgeorjon.com/' );
define('EG_SERIES_AUTHOR_EMAIL',  'blog@georjon.eu'                 );

define('EG_SERIES_CACHE_GROUP',      'eg-series');
define('EG_SERIES_CACHE_EXPIRATION', 900);

/**
 * Default options for the plugin
 *
 */
$EG_SERIES_DEFAULT_OPTIONS = array(
	'display_columns'       	 => TRUE,
	'use_metabox'				 => TRUE,
	'custom_field_name'     	 => 'serie',
	'shortcode_list_series' 	 => 'series',
	'shortcode_list_posts'  	 => 'seriesposts',
	'auto_list_posts'       	 => FALSE,
	'shortcode_auto' 			 => 0,
	'shortcode_auto_where'		 => array('post', 'page'),
	'shortcode_auto_title'  	 => 'Other posts of the serie',
	'shortcode_auto_title_tag' 	 => 'h2',
	'shortcode_auto_listtype'    => 'ol',
	'shortcode_auto_orderby'     => 'date',
	'shortcode_auto_order'		 => 'DESC',
	'shortcode_auto_show_date'   => 1,
	'shortcode_auto_default_opts'=> 0,
	'date_format'                => '',
	'uninstall_del_custom_field' => 0,
	'uninstall_del_option'       => 0
);

// Default options for shortcode [series] (list of all series)
$EG_SERIES_SHORTCODE_SERIES_DEFAULTS = array(
	'title'	       => '',
	'titletag'     => 'h2',
	'listtype'     => 'ul',
	'number'       => 0,
	'more'         => 0,
	'listposts'    => 0,
	'show_date'    => 1,
	'post_orderby' => 'date',
	'post_order'   => 'DESC'
);

// Default options for shortcode [seriesposts] (list of all posts of a specified serie)
$EG_SERIES_SHORTCODE_POSTS_DEFAULTS = array(
	'id'	    => 0,
	'title'	    => '',
	'titletag'  => 'h2',
	'listtype'  => 'ol',
	'name'	    => '',
	'orderby'   => 'post_date',
	'order'	    => 'ASC',
	'show_date' => 1,
	'expand'    => 0,
	'width'     => 0
);


?>