function init() {
	tinyMCEPopup.resizeToInnerSize();
}

function insertEGSeriesShortcode() {

	var posts_panel  = document.getElementById('posts_panel');
	var series_panel = document.getElementById('series_panel');

	if (posts_panel.className.indexOf('current') != -1) {

		var shortcode_tag = document.getElementById('posts_shortcode_tag').value

		var tagtext = '[' + shortcode_tag ;

		var title = document.getElementById('posts_title').value;
		if (title != '' )
			tagtext = tagtext + ' title="' + title + '"';

		var titletag = document.getElementById('posts_title_tag').value;
		if (titletag != "h2" )
			tagtext = tagtext + ' titletag=' + titletag ;

		var listtag = document.getElementById('posts_list_tag').value;
		if (listtag != "ol" )
			tagtext = tagtext + ' listtype=' + listtag;

		var orderby = document.getElementById('posts_orderby').value;
		if (orderby != 'date' )
			tagtext = tagtext + ' orderby=' + orderby;

		var order = document.getElementById('posts_order').value;
		if (order != 'DESC' )
			tagtext = tagtext + ' order=' + order;

		if ( document.getElementById('posts_expand').checked )
			tagtext = tagtext + ' expand=1';

		var current_name = document.getElementById('current_serie').value;
		var serie_name = document.getElementById('series_list').value;
		if (serie_name != '' && serie_name != 'no_serie' && current_name!=serie_name)
			tagtext = tagtext + ' name="' + serie_name + '" ';
	}

	if (series_panel.className.indexOf('current') != -1) {

		var shortcode_tag = document.getElementById('series_shortcode_tag').value
		var tagtext = '[' + shortcode_tag ;

		var title = document.getElementById('series_title').value;
		if (title != '' )
			tagtext = tagtext + ' title="' + title + '"';

		var titletag = document.getElementById('series_title_tag').value;
		if (titletag != "h2" )
			tagtext = tagtext + ' titletag=' + titletag ;

		var listtag = document.getElementById('series_list_tag').value;
		if (listtag != "ul" )
			tagtext = tagtext + ' listtype=' + listtag;

		var number = document.getElementById('series_number').value;
		if (number != 0 )
			tagtext = tagtext + ' number=' + number;

		var series_more = document.getElementById('series_more').value;
		if (series_more != 0 )
			tagtext = tagtext + ' more=' + series_more;

		var list_posts = document.getElementById('list_posts').value;
		if (list_posts != 0) {
			tagtext = tagtext + ' listposts=1';

			var series_posts_orderby = document.getElementById('series_posts_orderby').value;
			if (series_posts_orderby != 'date' )
				tagtext = tagtext + ' post_orderby=' + series_posts_orderby;

			var series_posts_order = document.getElementById('series_posts_order').value;
			if (series_posts_order != 'ASC' )
				tagtext = tagtext + ' post_order=' + series_posts_order;

			var series_show_date = document.getElementById('series_show_date').value;
			if (series_show_date != 1)
				tagtext = tagtext + ' show_date=0';
		}
	}

	tagtext = tagtext + "]";

	if(window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	return;
}
